Subject: [Spasm] formal chartering started...

From: Stephen Farrell <[email-masked]>
Date: Sat, 14 May 2016 14:13:34 +0100

Hiya,

Thanks all for submitting drafts and discussing the technical
issues, both good things to see. I've started the formal bit
of chartering - see the current text at [1]. I modified that
a little from the last one sent to the list, changes were mostly
editorial I think other than adding the proposal from John to
try out another certificate retrieval thing. (I'd be fine with
that being something that is adopted or not depending on whether
we figure there's a chance of real deployment, so e.g. if John
comes away from the M3AAWG meeting with a few email providers
who say they'd try that, then the WG could include it, but if
not, it could be dropped. I'm fine that we don't block on finding
out about that so long as a decision is made soonish, based on
whether or not we think real deployments or experiments would
be done.)

Anyway, please comment on the text at [1] in the next week (with
OLD/NEW text please) and after that I'll push it into IESG informal
evaluation for June 2nd. From then, all going well, the WG might
end up being formally created about June 16th.

If you think the text at [1] is good enough as-is (and it does
not need to be perfect:-) then a few folks saying so in response
to this is useful, particularly if you are not the author of any
of the drafts mentioned in the charter as possible starting
points. So if you've just been watching or hope to get this WG
to charter some other work later, you might wanna +1 this if
that's what you think.

Cheers,
S.

[1] https://datatracker.ietf.org/doc/charter-ietf-spasm/

---

From: Yoav Nir <[email-masked]>
Date: Sun, 15 May 2016 13:36:16 +0300

The proposed charter seems good to me.

One question: For each of items 2, 3, and 4 there is exactly one candidate draft, and I don’t know if Alexey wishes to pursue his 5-year-old draft for #1.

Wouldn’t it be better to say in the charter text “draft-xxx is the starting point for the WG document” rather than “draft-xxx is a proposal in this space” ? I mean we are still before all charter bikeshedding, so if someone doesn’t like one of these drafts as a starting point, they can speak up now. Otherwise the working group would need to have another round of “do we want to adopt this as a starting point, or does someone want to submit their own version?”

Yoav

> On 14 May 2016, at 4:13 PM, Stephen Farrell <[email-masked]> wrote:
> 
> 
> Hiya,
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Stephen Farrell <[email-masked]>
Date: Sun, 15 May 2016 13:14:40 +0100

> The proposed charter seems good to me.

Great.

> 
> One question: For each of items 2, 3, and 4 there is exactly one
> candidate draft, and I don’t know if Alexey wishes to pursue his
> 5-year-old draft for #1.
> 
> Wouldn’t it be better to say in the charter text “draft-xxx is the
> starting point for the WG document” rather than “draft-xxx is a
> proposal in this space” ? I mean we are still before all charter
> bikeshedding, so if someone doesn’t like one of these drafts as a
> starting point, they can speak up now. Otherwise the working group
> would need to have another round of “do we want to adopt this as a
> starting point, or does someone want to submit their own version?”

In this case, I think that last question would be a good one to
ask after WG formation. But if there's a groundswell of support now
for exactly those drafts as starting points for the WG, then I'd be
ok with that too. I just didn't want to presume that was the case.

Cheers,
S.

>> issues, both good things to see. I've started the formal bit of
>> chartering - see the current text at [1]. I modified that a little
>> from the last one sent to the list, changes were mostly editorial I
>> think other than adding the proposal from John to try out another
>> certificate retrieval thing. (I'd be fine with that being something
>> that is adopted or not depending on whether we figure there's a
>> chance of real deployment, so e.g. if John comes away from the
>> M3AAWG meeting with a few email providers who say they'd try that,
>> then the WG could include it, but if not, it could be dropped. I'm
>> fine that we don't block on finding out about that so long as a
>> decision is made soonish, based on whether or not we think real
>> deployments or experiments would be done.)
>> 
>> OLD/NEW text please) and after that I'll push it into IESG
>> informal evaluation for June 2nd. From then, all going well, the WG
>> might end up being formally created about June 16th.
>> 
>> If you think the text at [1] is good enough as-is (and it does not
>> need to be perfect:-) then a few folks saying so in response to
>> this is useful, particularly if you are not the author of any of
>> the drafts mentioned in the charter as possible starting points. So
>> if you've just been watching or hope to get this WG to charter some
>> other work later, you might wanna +1 this if that's what you
>> think.
>> 
>> Cheers, S.
>> 
>> _______________________________________________ Spasm mailing list 
>> [email-masked] https://www.ietf.org/mailman/listinfo/spasm
> 
> 
> 
> _______________________________________________ Spasm mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/spasm
>

---

From: Wei Chuang <[email-masked]>
Date: Sun, 15 May 2016 10:15:47 -0700

On Sun, May 15, 2016 at 3:36 AM, Yoav Nir <[email-masked]> wrote:

> One question: For each of items 2, 3, and 4 there is exactly one candidate
> draft, and I don’t know if Alexey wishes to pursue his 5-year-old draft for
> #1.
>

I ping'ed Alexey, and he says he should be able to update the draft.

-Wei

> starting point for the WG document” rather than “draft-xxx is a proposal in
> this space” ? I mean we are still before all charter bikeshedding, so if
> someone doesn’t like one of these drafts as a starting point, they can
> speak up now. Otherwise the working group would need to have another round
> of “do we want to adopt this as a starting point, or does someone want to
> submit their own version?”
>
> Yoav
>

---

From: Yoav Nir <[email-masked]>
Date: Sun, 15 May 2016 21:22:33 +0300

> On 15 May 2016, at 8:15 PM, Wei Chuang <[email-masked]> wrote:
> 
> 
> 
> On Sun, May 15, 2016 at 3:36 AM, Yoav Nir <[email-masked] <mailto:[email-masked]>> wrote:

I’m sure he can, but do we need two drafts?

Yoav

---

From: Wei Chuang <[email-masked]>
Date: Sun, 15 May 2016 17:42:51 -0700

On Sun, May 15, 2016 at 11:22 AM, Yoav Nir <[email-masked]> wrote:

>> candidate draft, and I don’t know if Alexey wishes to pursue his 5-year-old
>> draft for #1.
>>
>

One draft is fine.  The community preference is for
draft-ietf-pkix-eai-addresses over draft-lbaudoin-iemax, and so the charter
should specify the former over the latter.  (I'm one of the authors of the
latter)

-Wei

---

From: Yoav Nir <[email-masked]>
Date: Mon, 16 May 2016 07:37:52 +0300

> On 16 May 2016, at 3:42 AM, Wei Chuang <[email-masked]> wrote:
> 
> 
> 
> On Sun, May 15, 2016 at 11:22 AM, Yoav Nir <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> On 15 May 2016, at 8:15 PM, Wei Chuang <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
>> 
> One draft is fine.  The community preference is for draft-ietf-pkix-eai-addresses over draft-lbaudoin-iemax, and so the charter should specify the former over the latter.  (I'm one of the authors of the latter)

Great!

Yoav